Skip to main content

Trips

Trips​

Resources​

  • /products

Methods​

  • GET

Summary of changes​

Retrieving trip product data has changed. Instead of fetching trip products via GET /products, you will now need to fetch trips from the GET /trips endpoint in the Partner API

Our cruising and cabin-based trips known as Variable Room Type Trips (or VRTT) are now represented as a single trip resource corresponding with a single departure resource per departure date. Each VRTT trip will have multiple room types to select from (e.g. single, double, deluxe suite) that can be identified within the departures room option resource. See the room options resource for more details.

Several field names have been updated. See response changes for a list of fields and their counterparts in the GET /trips endpoint of the Partner API

Several fields have been removed or moved to a difference resource. See removed fields table for full details.

Request query parameter changes​

DescriptionPublic APIPartner APIType
Trip codecode (mandatory)tripCodestring
Trip Stylen/astylestring: enum
Number of passengersn/apaxstring
Visited countriesn/acountrystring
Trip themen/athemestring: enum
Physical ratingn/aphysicalRatinginteger
Trip duration (minimum)n/aminDurationinteger
Trip duration (maximum)n/amaxDurationinteger
Date range (from)n/adateRangeFromstring: date
Date range (to)n/adateRangeTostring: date
Locations visited during the tripn/aitineraryDayLocationstring
Sort Byn/asortstring: enum
Order Byn/aorderstring: enum
Page No.n/apageinteger
Size of pagen/asizeinteger

Response changes​

DescriptionXML FeedPublic APIPartner APIType
Trip ID Unique identifier assigned to each trip for database tracking and reference purposesproductidIdidstring
Trip code Short alphanumeric code used for booking referenceproductCodecodecodestring
Trip name Official title of the trip displayed to customers on all platformsproductNamenamenamestring
Trip type High-level category classification such as a traditional trip. “Trip” is the only valid value here however we may host different types in the futuren/an/atypetype: { "id": "{string}", "name": "{string}" }
Trip Subtype High-level sub-category classification such as group adventure, short breaks, or variable room type trips (i.e cruising, sailing)productTypeproductSubTypesubtypesubtype: { "id": "{string}", "name": "{string}" }
Trip tagline Brief compelling phrase used in marketing to capture the trip's essence and appeal.n/an/ataglinestring
Trip description Short overview paragraph summarizing key highlights and selling points of the trip.n/an/ashortDescriptionstring
Trip long description Comprehensive detailed narrative covering many aspects, activities, and experiences included in the trip.descriptionn/alongDescriptiontext
Trip geography Geographic location information including countries, regions and cities visited during the trip. See trip itinerary for all travelled countries.region defaultStartCity defaultStartCountry defaultFinishCity defaultFinishCountryn/aprimaryCountry start.city start.country finish.city finish.country New: → start.region → finish.region"geography": { "primaryCountry": "string", "start": { "city": "string", "country": "string", "region": "string" }, "finish": { "city": "string", "country": "string", "region": "string" } }
Name of supplier Tour operator or vendor company responsible for delivering and operating the tripsuppliern/asuppliersupplier: { "id": "{string}", "name": "{string}", }
Trip style Travel approach and/or class of accommodation e.g. budget, comfortable or luxury travelstylestylestylestyle: { "id": "{string}", "name": "{string}" }
Trip theme/s *Overarching concept or focus area of the trip e.g. Polar, Cycling, Family, Wildlife or Sailing *themeList[]n/athemes[]themes: [ { "id": "{string}", "name": "{string}" } ]
Product validity start date Date when the trip product becomes available for booking and departures beginvalidFromn/aeffectiveFromdatetime
Product validity end date Date when the trip product is no longer available or final departure occursvalidTon/aeffectiveTodatetime
Product validity end date - extended *Date when the last bookable departure occurs if that departure extends beyond the normal product validity end date. * Note: Departures may become available well in advance of a future product seasonal itinerary being reviewed and approved. These departures will exist on the current seasons product (e.g 2026) until the new product season is releasedextendedValidTon/aextendedValidityDatedatetime
Rating (physical difficulty, culture shock etc.) Numerical assessment of various aspects of the trip e.g. physical activity level, cultural shock, and customer feedbackphysical/cultureShock/starRatingn/avalue New: type descriptionratings: [ { "type": "{string}", "description": "{string}", "value": "{string}" } ]
Images for the product Collection of photos and visual media showcasing destinations, activities, and experiences on the trip.image/mapImage image[@type]n/aurl type New*:*** altText mimeType size title{ "images": [ { "url": "https://thumbnail.png", "altText": "Determines the level...", "type": "THUMBNAIL", "mimeType": "jpeg", "size": 124754, "title": "lorem ipsum" } ] }
Date and time when the product was created Timestamp recording when the trip was first added to the systemn/an/acreatedAtdatetime
Date and time when the product was last updated Timestamp showing the most recent modification or edit made to trip informationn/an/aupdatedAtdatetime
Website URLs **Product Overview - Direct link to the main landing page with general trip information and summary. **Itinerary - Direct link to the detailed day-by-day schedule and activities breakdown page. **Availability - Direct link to the calendar or page showing departure dates and booking availability. **Trip notes - Direct link to additional information about requirements, inclusions, exclusions, and important details.urls.overview/urls.itinerary/urls.availability/urls.tripNotesn/aurl New: typeurls: [ { "id": "{string}", "url": "{string}", "type": "{string}" } ]
Related products List of related products that customers might also be interested in booking as an add-on to a trip e.g. accommodations, transfers, other additional servicesn/arelatedAccommodation/relatedTransfers/relatedAdditionalServices/relatedSightseeings*id / *relationship New: code name{ "relatedProducts": [ { "id": "Lorem Ipsum", "code": "lorem ipsum", "name": "lorem", "relationship": "SUB_PRODUCT" } ] }
Related Trips Connected or similar trips that can be purchased before/after this tripn/an/aNew: code name relationship{ relatedTrips: [ { "id": "loren", "code": "lorem", "name": "lorem", "relationship": "lorem" } ] }
Flags Various flags to indicate special requirements for this tripisIncaTrailTrip isGorillaPermitTripisIncaTrailTrip isGorillaPermitTrip passportRequiredTypeId passportRequiredTypeNameflags“flags”: [INCA_TRAIL, PASSPORT_REQUIRED]
Cancellation Policies Terms and conditions outlining refund rules, deadlines, and penalties for trip cancellations.n/an/aNew: currency rules[].description rules[].daysToDepartureMin rules[].daysToDepartureMax rules[].effectiveFrom rules[].effectiveTo rules[].fee.name rules[].fee.description rules[].fee.amount rules[].fee.percent"cancellationPolicies": [ { "currency": "string", "rules": [ { "description": "string", "daysToDepartureMin": 0, "daysToDepartureMax": 0, "effectiveFrom": "string", "effectiveTo": "string", "fee": { "name": "string", "description": "string", "amount": 0, "percent": 0 } } ] }

Current request (deprecated)​

The legacy Public API returned trip products through a flat /products endpoint (or via the product XML feed).

GET https://api.intrepidtravel.com/v2/products?code=TTSN

{
"id": 159897,
"code": "TTSN",
"name": "Beautiful Northern Thailand",
"productType": "Trip",
"productSubType": "Group Adventures",
"supplier": "Intrepid Travel Pty Ltd",
"style": "Original",
"themeList": ["Explorer"],
"region": "Northern Thailand",
"defaultStartCity": "Bangkok",
"defaultStartCountry": "Thailand",
"defaultFinishCity": "Chiang Mai",
"defaultFinishCountry": "Thailand",
"validFrom": "2025-01-01",
"validTo": "2025-12-31",
"physical": 3,
"cultureShock": 2,
"starRating": 4,
"isIncaTrailTrip": false,
"isGorillaPermitTrip": false,
"passportRequiredTypeId": 1,
"passportRequiredTypeName": "Required",
"urls": {
"overview": "https://www.intrepidtravel.com/thailand/beautiful-northern-thailand-119027",
"itinerary": "https://www.intrepidtravel.com/thailand/beautiful-northern-thailand-119027/itinerary",
"availability": "https://www.intrepidtravel.com/thailand/beautiful-northern-thailand-119027/availability",
"tripNotes": "https://www.intrepidtravel.com/thailand/beautiful-northern-thailand-119027/notes"
},
"image": "https://media.intrepidtravel.com/thailand/beautiful-northern-thailand.jpg",
"mapImage": "https://media.intrepidtravel.com/thailand/beautiful-northern-thailand-map.jpg"
}

Updated request​

The Partner API exposes trips as REST resources with expanded fields (images, related products, cancellation policies).

GET https://api.partners.intrepidtravel.cloud/trips/{tripCode}

{
"id": "159897",
"code": "TTSN",
"name": "Beautiful Northern Thailand",
"type": {
"id": "1",
"name": "Trip"
},
"subType": {
"id": "1",
"name": "Group Adventures"
},
"tagline": "Thailand – the original, and for many, still the best.",
"shortDescription": "Enjoy a comprehensive tour of Thailand’s north that captures the country’s true spirit, historic splendour, welcoming people and lush countryside. ",
"longDescription": "There’s a reason this trip was the one that started it all, and still remains one of the most popular. On this 15-day adventure, you'll discover Northern Thailand, experience the chaotic metropolis of bustling Bangkok, trek among the hillside villages near Chiang Rai, drift down the River Kwai in Kanchanaburi and see the historic temples of the Siam Kingdom. With welcoming hospitality, local experiences, mouth-watering cooking classes and plenty of free time to travel at your own pace, come along and see why this trip was, and still is, a benchmark for all our adventures.",
"mainCountry": {
"id": "215",
"code": "TH",
"name": "Thailand"
},
"supplier": {
"id": "13877",
"name": "Intrepid Travel Pty Ltd"
},
"styles": {
"id": "12",
"name": "Original"
},
"themes": [
{
"id": 18,
"name": "Explorer"
{
],
"effectiveFrom": "2025-01-01T00:00:00.000Z",
"effectiveTo": "2025-12-31T00:00:00.000Z",
"extendedValidityDate": "2027-12-28T00:00:00.000Z",
"ratings": [
{
"type": "Physical",
"value": "3",
"description": [
"For the trek on this trip the general rule is the more preparation you have done for it, the more you will enjoy it. Although we are not walking at altitude or setting any distance records each day, the trek can still be demanding, as we walk through hilly terrain with our packs, and the temperature is often hot. We recommend that you undertake regular aerobic exercise in the weeks before you travel, particularly if you are not in the habit of regular exercise. Walking, jogging, swimming or riding a bike are all good ways to increase your aerobic fitness, which will allow you to enjoy the trek to its fullest."
]
},
{
"type": "Culture",
"value": "3"
},
{
"type": "Review",
"value": "4"
{
],
"images": [
{
"url": "https://images-api.intrepidgroup.travel/Intrepid/159897/8798651940894.jpg",
"title": "Thailand, green hills",
"altText": "Thailand, green hills",
"type": "Banner",
"mimeType": "image/jpeg",
"size": 595600
},
{
"url": "https://images-api.intrepidgroup.travel/Intrepid/159897/8816256778270.png",
"title": null,
"altText": null,
"type": "Map",
"mimeType": "image/png",
"size": 251654
},
{
"url": "https://images-api.intrepidgroup.travel/Intrepid/159897/8814033043486.jpg",
"title": null,
"altText": null,
"type": "Gallery",
"mimeType": "image/jpeg",
"size": 1432540
},
{
"url": "https://images-api.intrepidgroup.travel/Intrepid/159897/8814027309086.jpg",
"title": null,
"altText": null,
"type": "Gallery",
"mimeType": "image/jpeg",
"size": 1104206
},
{
"url": "https://images-api.intrepidgroup.travel/Intrepid/159897/8814056734750.jpg",
"title": null,
"altText": null,
"type": "Gallery",
"mimeType": "image/jpeg",
"size": 1116644
},
{
"url": "https://images-api.intrepidgroup.travel/Intrepid/159897/8814027046942.jpg",
"title": null,
"altText": null,
"type": "Gallery",
"mimeType": "image/jpeg",
"size": 1134420
},
{
"url": "https://images-api.intrepidgroup.travel/Intrepid/159897/8814037663774.jpg",
"title": null,
"altText": null,
"type": "Gallery",
"mimeType": "image/jpeg",
"size": 1062389
},
{
"url": "https://images-api.intrepidgroup.travel/Intrepid/159897/8814028161054.jpg",
"title": null,
"altText": null,
"type": "Gallery",
"mimeType": "image/jpeg",
"size": 1222378
},
{
"url": "https://images-api.intrepidgroup.travel/Intrepid/159897/8814032355358.jpg",
"title": null,
"altText": null,
"type": "Gallery",
"mimeType": "image/jpeg",
"size": 1117575
{
],
"createdAt": "2025-03-18T05:56:46.997Z",
"updatedAt": "2025-05-15T11:30:35.873Z",
"isPublishedToCatalogue": true,
"isPublishedToApp": false,
"marketingScore": 65,
"urls": [
{
"url": "https://www.intrepidtravel.com/trips/TTSN",
"type": "Overview"
},
{
"url": "https://www.intrepidtravel.com/trips/TTSN/ITINERARY",
"type": "Itinerary"
},
{
"url": "https://www.intrepidtravel.com/trips/TTSN/TRIPNOTES",
"type": "Trip Notes"
},
{
"url": "https://www.intrepidtravel.com/au/booking-intrepid/booking-conditions",
"type": "Cancellation Policy"
},
{
"url": "https://www.intrepidtravel.com/trips/TTSN/AVAILABILITY",
"type": "Availability"
{
],
"relatedProducts": [
{
"id": "76627",
"name": "Nouvo City Hotel (CANAL WING) - Single",
"type": "Accommodation",
"relationship": "PRE_TRIP"
},
{
"id": "76631",
"name": "Arrival Transfer - Bangkok Suvarnabhumi Airport (BKK) to Nouvo City Hotel",
"type": "Transport",
"relationship": "PRE_TRIP"
},
{
"id": "142919",
"name": "Departure Transfer - Dinata Angkor Hotel to Siem Reap Airport (REP)",
"type": "Transport",
"relationship": "POST_TRIP"
},
{
"id": "76628",
"name": "Nouvo City Hotel (CANAL WING) - Twin",
"type": "Accommodation",
"relationship": "PRE_TRIP"
},
{
"id": "157367",
"name": "Arrival Transfer - Bangkok Don Mueang Airport (DMK) to Nouvo City Hotel",
"type": "Transport",
"relationship": "PRE_TRIP"
},
{
"id": "76629",
"name": "Nouvo City Hotel (CANAL WING) - Triple",
"type": "Accommodation",
"relationship": "PRE_TRIP"
},
{
"id": "76630",
"name": "Departure Transfer - Nouvo City Hotel to Bangkok Airport",
"type": "Transport",
"relationship": "POST_TRIP"
},
{
"id": "137591",
"name": "Nouvo City Hotel (CANAL WING) - Double",
"type": "Accommodation",
"relationship": "PRE_TRIP"
{
],
"relatedTrips": [
{
"id": "159915",
"code": "TTZEC",
"name": "Thailand Adventure West Coast (Nov - Apr)",
"relationship": "COMBO"
{
],
"cancellationPolicies": [
{
"currency": "ZAR",
"rules": [
{
"description": "15 to 30 days before start date (trips)",
"daysToDepartureMin": 15,
"daysToDepartureMax": 30,
"effectiveFrom": "2024-10-01T00:00:00.000Z",
"effectiveTo": null,
"fee": {
"name": "60% Cancellation fee",
"description": "Between 30 and 15 days prior to departure, we charge a cancellation fee of 60% of the total booking cost",
"amount": 0,
"percent": 0.6
{
},
{
"description": "56 to 3650 days before start date (trips)",
"daysToDepartureMin": 56,
"daysToDepartureMax": 3650,
"effectiveFrom": "2024-10-01T00:00:00.000Z",
"effectiveTo": null,
"fee": {
"name": "Loss of Deposit",
"description": "Written cancellation request received 56 days or more prior to trip departure date",
"amount": 4000,
"percent": 0
{
},
{
"description": "31 to 55 days before start date (trips)",
"daysToDepartureMin": 31,
"daysToDepartureMax": 55,
"effectiveFrom": "2024-10-01T00:00:00.000Z",
"effectiveTo": null,
"fee": {
"name": "30% Cancellation fee",
"description": "Between 31 and 55 days prior to departure, we charge a cancellation fee of 30% of the total booking cost",
"amount": 0,
"percent": 0.3
{
},
{
"description": "Less than 14 days before start date (trips)",
"daysToDepartureMin": 0,
"daysToDepartureMax": 14,
"effectiveFrom": "2024-10-01T00:00:00.000Z",
"effectiveTo": null,
"fee": {
"name": "100% Cancellation Fee",
"description": "Retain 100% of monies paid by you in connection with your booking.",
"amount": 0,
"percent": 1
{
{
]
{
}

Removed fields​

Removed FieldsXML FeedPublic APINotesRelevant Field (if applicable)
MovedminAgeminimumAgeSee itinerariesminimumAge
MovedmaxAgemaximumAgeSee itinerariesmaximumAge
Movedn/adeparturesSee departures
Movedn/aonRequestDaysSee room optionsfreeSellDeadline
Movedn/aonRequestOnlySee room optionsisOnlyOnRequest
Movedn/abookingClosedSee room optionsbookingDeadline
Movedn/adepartureGuaranteedSee room optionsisDepartureGuaranteed
Removedn/aonRequestCapacity
Removedn/ainsuranceRequired
Removedn/aisNewTripOnWebsite
Movedn/astartTimeZoneSee departuresjoiningPoint.location.timezone
Movedn/astartTimeSee departuresstartDate
MovedcountryListdestinationsSee itinerariesvisitedCountries
Removedn/asequence
Removedn/aexternalReference
MovedminGroupSizen/aSee itinerariesminimumGroupSize
MovedmaxGroupSizen/aSee itinerariesmaximumGroupSize
MovedCompulsorySingleSupplementn/aSee room optionsisSingleSupplementCompulsory
Movedmealsn/aSee itinerariesincludedMeals
Removedaccommodationn/aUse itineraries.days accommodationaccommodations
MovedTransportn/aSee itinerariestransports
MovedincludedActivitiesn/aUse itineraries.days includedActivities
MovedhighlightListn/aSee itinerarieshighlights
MovedapproxPriceListn/aSee room optionsprices
MoveddepositAmountn/aSee room optionsprices